Subject: Re: linux-3.0.x regression with ipv4 routes having mtu

From: Timo Teräs <[email-masked]>
Date: Wed, 14 Dec 2011 20:22:39 +0200

On 12/14/2011 07:50 PM, David Miller wrote:
> From: Timo Teräs <[email-masked]>
> Date: Wed, 14 Dec 2011 17:54:16 +0200
> 
>> So something is does not get updated here. This used to work though.
>> The current production boxes where I know this work is 2.6.38.8.
> 
> We store the PMTU externally in inetpeer entries, Eric Dumazet
> fixed recently but that fix hasn't been submitted to -stable
> yet.
> 
> I'd recommend using 3.1.x if possible if you can't wait.

I'll test 3.1.x though to verify that this is fixed.

I'd prefer 3.0.x for now as we have some other patchsets on production
kernels that are not yet available for 3.1.x. And this does sound like
-stable material anyway. If it's just a few commits, I could backport
and cherry-pick them. Could some point me the commits in question?

Thanks,
 Timo